
#ifndef	GBATools_H
#define	GBATools_H

#include <NDS/NDS.h>

u8 isAnkChar[0x100]; // boolean^

void Init_isAnkChar(void);


  u8 chk(u8 c)
  {
    if (c<=0x7f) return(True);
    if (c<=0x9f) return(False);
    if (c<=0xdf) return(True);
  
    switch(c){
      case 0xE0: return(False);
      case 0xE1: return(False);
      case 0xE2: return(False);
      case 0xE3: return(False);
      case 0xE4: return(False);
      case 0xE5: return(False);
      case 0xE6: return(False);
      case 0xE7: return(False);
      case 0xE8: return(False);
      case 0xE9: return(False);
      case 0xEA: return(False);
      case 0xEB: return(True);
      case 0xEC: return(True);
      case 0xED: return(False);
      case 0xEE: return(False);
      case 0xEF: return(True);
      case 0xF0: return(False);
      case 0xF1: return(False);
      case 0xF2: return(False);
      case 0xF3: return(False);
      case 0xF4: return(True);
      case 0xF5: return(True);
      case 0xF6: return(True);
      case 0xF7: return(True);
      case 0xF8: return(True);
      case 0xF9: return(True);
      case 0xFA: return(False);
      case 0xFB: return(False);
      case 0xFC: return(False);
      case 0xFD: return(True);
      case 0xFE: return(True);
      case 0xFF: return(True);
    }
    
    return(True);
  }

void Init_isAnkChar(void)
{
  u32 c;
  for(c=0x00;c<=0xff;c++){
    isAnkChar[c]=chk(c);
  }
}

#endif
