
#ifndef strtool_h
#define strtool_h

#include "boolean.h"

static inline void StrCopy(const char *src,char *dst)
{
  if(dst==0) return;
  if(src==0){
    dst[0]=0;
    return;
  }
  
  while(*src!=0){
    *dst=*src;
    src++;
    dst++;
  }
  
  *dst=0;
}

static inline b8 isStrEqual(const char *s1,const char *s2)
{
  if((s1==0)&&(s2==0)) return(True);
  if((s1==0)||(s2==0)) return(False);
  
  while(*s1==*s2){
    if((*s1==0)||(*s2==0)){
      if((*s1==0)&&(*s2==0)){
        return(True);
        }else{
        return(False);
      }
    }
    s1++;
    s2++;
  }
  return(False);
}

static inline void StrAppend(char *s,const char *add)
{
  if((s==0)||(add==0)) return;
  
  while(*s!=0){
    s++;
  }
  
  while(*add!=0){
    *s=*add;
    s++;
    add++;
  }
  
  *s=0;
}

#endif

